Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf.direct
Class RtfFontTableParser

    java.lang.Object
      com.lowagie.text.rtf.direct.RtfFontTableParser

    public class RtfFontTableParser

extends Object

The RtfFontTableParser handles the events generated by the RtfTokeniser while the RTF font table is parsed.

Version:
  $Revision: 2382 $
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at)

Field Summary
`private String` | `fontName` The name of the font being parsed.
`private String` | `fontNr` The number of the font being parsed.
`private RtfImportHeader` | `importHeader` The RtfImportHeader to add font mappings to.

Constructor Summary
`RtfFontTableParser(RtfImportHeader importHeader)` Constructs a new RtfFontTableParser.

Method Summary
`void` | `handleCloseGroup(int groupLevel)` Handles closing of a group during parsing.
`void` | `handleCtrlWord(String ctrlWord, int groupLevel)` Handles the font number control word.
`void` | `handleText(String text, int groupLevel)` Handles the font name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### importHeader

    private RtfImportHeader importHeader

  The RtfImportHeader to add font mappings to.

### fontNr

    private String fontNr

  The number of the font being parsed.

### fontName

    private String fontName

  The name of the font being parsed.

Constructor Detail

### RtfFontTableParser

    public RtfFontTableParser(RtfImportHeader importHeader)

  Constructs a new RtfFontTableParser.

  Parameters:
    `importHeader` - The RtfImportHeader to add font mappings to.

Method Detail

### handleCloseGroup

    public void handleCloseGroup(int groupLevel)

  Handles closing of a group during parsing. If the group nesting level is 3 then an individual font definition was closed and thus if the font number and font name are set, they can be added to the mappings.

  Parameters:
    `groupLevel` - The current group nesting level.

### handleCtrlWord

    public void handleCtrlWord(String ctrlWord,
                               int groupLevel)

  Handles the font number control word. Only relevant if the group nesting level is 3.

  Parameters:
    `ctrlWord` - The control word to handle.
    `groupLevel` - The current group nesting level.

### handleText

    public void handleText(String text,
                           int groupLevel)

  Handles the font name. The font name must be ended by a semicolon and must be at group nesting level 3.

  Parameters:
    `text` - The font name to handle.
    `groupLevel` - The current group nesting level.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD